> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List collected answers, newest first

> One row per prompt × assistant × day, including failed ones (`status`), so coverage can be shown.



## OpenAPI

````yaml https://api.seomator.com/openapi.json get /v1/projects/{id}/answers
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/answers:
    get:
      tags:
        - ai visibility
      summary: List collected answers, newest first
      description: >-
        One row per prompt × assistant × day, including failed ones (`status`),
        so coverage can be shown.
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            maxLength: 64
          required: false
          name: promptId
          in: query
        - schema:
            type: string
            enum:
              - chatgpt
              - ai_mode
              - gemini
          required: false
          name: assistant
          in: query
        - schema:
            type: string
            description: Comma-separated assistants, for example chatgpt,gemini
          required: false
          description: Comma-separated assistants, for example chatgpt,gemini
          name: assistants
          in: query
        - schema:
            type: string
            maxLength: 64
          required: false
          name: topicId
          in: query
        - schema:
            type: string
            enum:
              - informational
              - commercial
              - transactional
          required: false
          name: intent
          in: query
        - schema:
            type: string
            enum:
              - non_branded
              - branded
              - all
            default: all
            description: Prompts that name your brand, the others, or all (default)
          required: false
          description: Prompts that name your brand, the others, or all (default)
          name: branded
          in: query
        - schema:
            type: string
            enum:
              - pending
              - analyzed
              - unparsed
            description: '`analyzed` lists only the answers that were read'
          required: false
          description: '`analyzed` lists only the answers that were read'
          name: analysisStatus
          in: query
        - schema:
            type: string
            enum:
              - text
              - no_ai_mode
              - non_text
            description: >-
              `text` lists only answers with text; with `analysisStatus:
              analyzed` these are the answers the reports count
          required: false
          description: >-
            `text` lists only answers with text; with `analysisStatus: analyzed`
            these are the answers the reports count
          name: outcome
          in: query
        - schema:
            type: string
            maxLength: 64
            description: Only answers that name this brand (brd_…)
          required: false
          description: Only answers that name this brand (brd_…)
          name: brandId
          in: query
        - schema:
            type: string
            maxLength: 2048
            description: >-
              Only answers that read, cite or link a page of this domain
              (example.com)
          required: false
          description: >-
            Only answers that read, cite or link a page of this domain
            (example.com)
          name: domain
          in: query
        - schema:
            type: string
            maxLength: 2048
            description: Only answers that read, cite or link this page (its full URL)
          required: false
          description: Only answers that read, cite or link this page (its full URL)
          name: url
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: from
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: to
          in: query
      responses:
        '200':
          description: A page of answers
          content:
            application/json:
              schema:
                type: object
                properties:
                  answers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        promptId:
                          type: string
                        assistant:
                          type: string
                          enum:
                            - chatgpt
                            - ai_mode
                            - gemini
                        runDate:
                          type: string
                        status:
                          type: string
                        outcome:
                          type:
                            - string
                            - 'null'
                        analysisStatus:
                          type: string
                          enum:
                            - pending
                            - analyzed
                            - unparsed
                        model:
                          type:
                            - string
                            - 'null'
                        capturedAt:
                          type:
                            - string
                            - 'null'
                        failCode:
                          type:
                            - string
                            - 'null'
                          enum:
                            - no_result
                            - provider_error
                            - gave_up
                            - null
                        named:
                          type: array
                          items:
                            type: string
                        sourceCount:
                          type: number
                          description: >-
                            Pages the assistant retrieved or cited; links in the
                            text are not sources
                        citationCount:
                          type: number
                        excerpt:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The first 300 characters of the answer text,
                            Markdown
                        sourceDomains:
                          type: array
                          items:
                            type: string
                          description: >-
                            Domains the assistant retrieved or cited, in
                            source-list order, each once
                        linkDomains:
                          type: array
                          items:
                            type: string
                          description: >-
                            Domains linked in the answer text, in order, each
                            once
                      required:
                        - id
                        - promptId
                        - assistant
                        - runDate
                        - status
                        - outcome
                        - analysisStatus
                        - model
                        - capturedAt
                        - failCode
                        - named
                        - sourceCount
                        - citationCount
                        - excerpt
                        - sourceDomains
                        - linkDomains
                      additionalProperties: {}
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - answers
                  - nextCursor
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [List projects, newest first](https://docs.seomator.com/api-reference/projects/list-projects-newest-first.md)
- [List prompts, newest first](https://docs.seomator.com/api-reference/ai-visibility/list-prompts-newest-first.md)
- [Answers: read what each AI assistant said](https://docs.seomator.com/reports/answers.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.